Subject: ***SPAM*** 44.539 (5) Chicks will be AMAZED by your legendary PROWESS.

From: "Dennis keene" <[email-masked]>
Date: Fri, 1 Feb 2008 13:21:47 +0100

The end to all your frustration lies here - we have the solution to your woes.